# std::tr1::__add_reference_helper< _Tp, > Struct Template Reference

List of all members.

## Detailed Description

### template<typename _Tp, bool = (is_void<_Tp>::value || is_reference<_Tp>::value)>
struct std::tr1::__add_reference_helper< _Tp, >

Definition at line 570 of file type_traits.

## Public Types

- typedef _Tp & type

The documentation for this struct was generated from the following file:

- type_traits